body {
	--my-theme-bg: #1a1157;
	--my-theme-text-color: #fff;
	
	--my-theme-bg-hover: #1a40aa;
	
	padding-bottom: 30px;
}

footer {
	border-top: 1px solid #c0c0c0;
	padding: 0.25rem 1rem;
	font-size: 0.75rem;
	color: #a0a0a0;
}

.navbar.my-theme {
	background-color: var(--my-theme-bg);
	--bs-navbar-color: rgba(255, 255, 255, 0.55);
	--bs-navbar-hover-color: rgba(255, 255, 255, 0.75);
	--bs-navbar-disabled-color: rgba(255, 255, 255, 0.25);
	--bs-navbar-active-color: #fff;
	--bs-navbar-brand-color: #fff;
	--bs-navbar-brand-hover-color: #fff;
	--bs-navbar-toggler-border-color: rgba(255, 255, 255, 0.1);
}
.navbar.my-theme .navbar-brand {
	padding-top: 0;
	padding-bottom: 0;
	font-stretch: expanded;
	font-weight: 700;
	font-variant-caps: small-caps;
}
.navbar.my-theme .navbar-brand img {
	width: 60px;
	border: 1px solid darkorange;
	border-radius: 12px;
	object-fit: cover;
}
.navbar.my-theme .navbar-brand span.img-wrapper {
	display: inline-block;
    overflow: hidden;
    border: 1px solid darkorange;
    border-radius: 12px;
    vertical-align: middle;
}
.navbar.my-theme .navbar-brand img.inset-15 {
	/* object-view-box not supported on safari */
	/*object-view-box: inset(15%);*/
	margin: -8px;
}
.navbar.my-theme .navbar-brand img.inset-10 {
	/*object-view-box: inset(10%);*/
	margin: -5px;
}


.banner-card {
	padding: 3rem;
	margin: 1.5rem 0;
	border-radius: 0.5rem;
	gap: 3rem;
	display: flex;
	flex-direction: column;
}
.banner-card + .banner-card {
	margin-top: 0;
}
.banner-card > div {
	flex: 1 1 50%;
}
.banner-text {
	order: 2;
	padding: 0;
}
.banner-text > h1 {
	font-size: 2rem;
	font-weight: 700;
}
.banner-text > p,
.banner-text > ul {
	font-size: 1.0rem;
}
.banner-image {
	order: 1;
	background-size: cover;
    background-position-x: center;
    background-position-y: center;
    border-radius: 0.5rem;
}
.banner-image {
	--min-height-sm: 16rem;
	--min-height-m: 22rem;
	--min-height-l: 30rem;
	--min-height-xl: 24rem;
	min-height: var(--min-height-sm);
}
@media (min-width: 768px) {
	.banner-image {
		min-height: var(--min-height-m);
	}
}
@media (min-width: 992px) {
	.banner-image {
		min-height: var(--min-height-l);
	}
}
@media (min-width: 1200px) {
	.banner-text {
		padding: 3rem 0;
	}
    .banner-text > h1 {
        font-size: 3rem;
    }
    .banner-text > p,
	.banner-text > ul {
		font-size: 1.3rem;
	}
	.banner-card {
		flex-direction: row;
	}
	.banner-image {
		min-height: var(--min-height-xl);
	}
	.banner-card > div {
		order: initial;
	}
}
.banner-image.image-1 {
	background-image: url('images/triple-a-rewards-logo.svg');
}
.banner-image.image-2 {
	background-image: url('images/under-construction2.jpg');
	/* border: 1px solid #c0c0c0;
	--min-height-sm: 20rem;
	--min-height-m: 28rem;
	--min-height-l: 40rem;
	--min-height-xl: 24rem; */
}
.banner-image.image-3 {
	background-image: url('images/making-payment.jpg');
}
.banner-image.image-4 {
	background-image: url('images/why.jpg');
}

body .btn-primary {
	--bs-btn-bg: var(--my-theme-bg);
    --bs-btn-border-color: var(--my-theme-bg);
    --bs-btn-disabled-bg: var(--my-theme-bg);
    --bs-btn-disabled-border-color: var(--my-theme-bg);
    
    --bs-btn-hover-bg: var(--my-theme-bg-hover);
    --bs-btn-hover-border-color: var(--my-theme-bg-hover);
    --bs-btn-active-bg: var(--my-theme-bg);
    --bs-btn-active-border-color: var(--my-theme-bg);
}
body .btn-outline-primary {
    --bs-btn-color: var(--my-theme-bg);
    --bs-btn-border-color: var(--my-theme-bg);
    --bs-btn-disabled-border-color: var(--my-theme-bg);
    
    --bs-btn-hover-bg: var(--my-theme-bg-hover);
    --bs-btn-hover-border-color: var(--my-theme-bg-hover);
    --bs-btn-active-bg: var(--my-theme-bg);
    --bs-btn-active-border-color: var(--my-theme-bg);
}
body .btn-check+.btn:hover {
	--bs-btn-color: var(--my-theme-text-color);
	--bs-btn-hover-color: var(--my-theme-text-color);
	--bs-btn-bg: var(--my-theme-bg-hover);
    --bs-btn-border-color: var(--my-theme-bg);
}
/*body .btn-check:checked+.btn, .btn.active, .btn.show, .btn:first-child:active, :not(.btn-check)+.btn:active {
    --bs-btn-active-bg: var(--my-theme-bg-hover);
    --bs-btn-active-border-color: var(--my-theme-bg-hover);
}*/

.panel.my-theme {
	margin-top: 1rem;
	border-color: var(--my-theme-bg);
}
.panel.my-theme>.panel-heading {
	color: var(--my-theme-text-color);
	background-color: var(--my-theme-bg);
	border-color: var(--my-theme-bg);
}
.panel.my-theme>.panel-heading>.btn-close {
	--bs-btn-close-filter: invert(1) grayscale(100%) brightness(200%);
	opacity: 0.8;
}
.panel.my-theme>.panel-heading>.btn-close:hover {
	opacity: 1.0;
}

.panel.my-theme > .panel-heading > .panel-heading-buttons > .btn {
    --bs-btn-bg: white;
}
.panel {
	border: 1px solid transparent;
	border-radius: 4px;
}
.panel-heading {
	font-size: 24px;
	padding: 10px 15px;
	border-bottom: 1px solid transparent;
	/* Push close buttons to right */
	display: flex;
	align-items: center;
	justify-content: space-between;
}
.panel-heading > img {
	width: 48px;
	object-fit: cover;
	margin-right: 1rem;
}
.panel-heading-breadcrumb > a {
    color: inherit;
    text-decoration: none;
}
.panel-heading-breadcrumb > a:hover {
    text-decoration: underline;
}
.panel-body {
	padding: 15px;
}
.panel.panel-midsize {
	max-width: 500px;
	margin: 5rem auto 1em;
}
.panel-midsize.panel-midsize-plus {
	max-width: 750px;
}
.panel-midsize-plus .panel-flex > div > label {
	flex: 0 0 200px;
}
.panel-midsize > .panel-heading {
	font-size: 24px;	
}
.panel-midsize p,
.panel-midsize .p-with-icon {
	font-size: 15px;
	margin-bottom: 0px;
}
.panel-midsize p+p,
.panel-midsize .p-with-icon+p {
	margin-top: 1rem;
}
.panel-midsize p.notes {
	font-size: 12px;
	color: #666;
	padding-top: 12px;
}
.panel-small {
	max-width: 350px;
	margin: 1em auto;
}
.panel-small > .panel-heading {
	font-size: 20px;
	display: block;
	text-align: center;	
}
.panel-flex {
	display: flex;
	flex-direction: column;
	gap: 0.5em;
}
.panel-flex > div {
	display: flex;
	flex-direction: row;
	align-items: center;
}
.panel-flex > div.separator {
    margin-top: 15px;
    padding-top: 20px;
    border-top: 1px solid #c0c0c0;
}
.panel-flex > div > * {
	flex: 1 1 0;
}
.panel-flex .panel-flex-narrow {
    flex: 0 1 0;
}
.panel-flex > div > div[data-lastpass-icon-root] {
	/* Fix for LastPass affecting username field width */
    flex: 0 0 0 !important;
}
.panel-flex .alert {
	display: block;
}
.panel-flex > div > label {
	flex: 0 0 150px;
}
.panel-flex > div > label > span.smaller {
	font-size: 10px;
	color: #707070;
}
.panel-flex > .panel-buttons {
	padding-left: 150px;
	border-top: 1px solid #aaa;
    margin-top: 1em;
    padding-top: 1.5em;
    text-align: right;
}
.panel-flex > .panel-buttons.panel-buttons-full-width {
	padding-left: 0px;
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
}
.panel-flex > .panel-buttons.panel-buttons-full-width > div {
	flex: auto;
}
.panel-flex > .panel-buttons.panel-buttons-full-width > div.left {
	text-align: left;
	margin-right: auto;
}
.panel-buttons input,
.panel-buttons .btn,
.panel-buttons button  {
	min-width: 100px;
}
a.auth-store {
    text-decoration: none;
    display: inline-block;
    color: black;
}
.panel-group {
	display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    margin: 1em 0em;
}
@media (min-width: 800px) {
	.panel-group {
		display: flex;
	    flex-direction: row;
	    justify-content: space-evenly;
	}
}
.panel-group > .panel {
	margin: 0;
}

.panel-body-auth-store {
	display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 1rem;
}
img.apple-appstore-badge {
	height: 40px;
}
img.google-appstore-badge {
	height: 60px;
	margin: -8px 0px;
}
.faq {
	max-width: 800px;
	display: flex;
	flex-direction: column;
	gap: 0;
    padding: 0;
    border: 1px solid #c0c0c0;
    border-radius: 0.75rem;
}
.faq+.faq {
	margin-top: 1em;
}
.faq > .faq-heading {
	font-size: 18px;
	font-weight: 500;
	padding: 1em;
	display: flex;
	align-items: center;
}
.faq > .faq-heading:hover {
    background-color: #f8f8f8;
    border-radius: 10px 10px 0px 0px;
    cursor: pointer;
}
.faq > .faq-heading.collapsed:hover {
	border-radius: 10px;
}
.faq > .faq-heading::after {
	content: '\f077';
	--_fa-family: var(--fa-family, var(--fa-style-family, "Font Awesome 7 Free"));
	font-family: "Font Awesome 7 Free";
	font-weight: 900;
	font-size: 1.25em;
	margin: -0.5em 0.5em -0.5em auto;
}
.faq > .faq-heading.collapsed::after {
	content: '\f078';
}

.faq > .faq-content > div {
	padding: 1em;
}
.faq > .faq-content {
	border-top: 1px solid #c0c0c0;
}